# debug_allocator Class Template Reference

List of all members.

## Detailed Description

### template<typename _Alloc>
class __gnu_cxx::debug_allocator< _Alloc >

This is precisely the allocator defined in the C++ Standard.

- all allocation calls operator new
- all deallocation calls operator delete

Definition at line 63 of file debug_allocator.h.

## Public Types

- typedef _Alloc::const_pointer const_pointer
- typedef _Alloc::const_reference const_reference
- typedef _Alloc::difference_type difference_type
- typedef _Alloc::pointer pointer
- typedef _Alloc::reference reference
- typedef _Alloc::size_type size_type
- typedef _Alloc::value_type value_type

## Public Member Functions

- pointer allocate (size_type __n, const void *__hint)
- pointer allocate (size_type __n)
- void deallocate (pointer __p, size_type __n)

The documentation for this class was generated from the following file:

- debug_allocator.h